#
# spec file for package libpng (Version 1.2.5)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         libpng
License:      zlib/libpng License
Group:        System/Libraries
URL:          http://www.libpng.org/pub/png/libpng.html
Autoreqprov:  on
Version:      1.2.5
Release:      194
Summary:      Library for the Portable Network Graphics Format
Source:       ftp://swrinde.nde.swri.edu/pub/png/src/libpng-%{version}.tar.bz2
Patch:        libpng-%{version}-setjmp.dif
Patch1:       libpng-%{version}-makefile.dif
Patch2:       libpng-%{version}-all-patches.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
libpng is the official PNG reference library.



Authors:
--------
    Andreas Dilger <adilger@enel.ucalgary.ca>

%package devel
Requires:     zlib-devel libpng = %{version}
Group:        Development/Libraries/C and C++
Summary:      Library for the PortableNetGraphics Format

%description devel
libpng is the official PNG reference library.



Authors:
--------
    Andreas Dilger <adilger@enel.ucalgary.ca>

%prep
%setup
%patch
%patch1
%patch2 -p1
cp scripts/makefile.gcmmx Makefile

%build
%ifarch %ix86
NO_ASSEMBLER_CODE=
%else
NO_ASSEMBLER_CODE="-DPNG_NO_ASSEMBLER_CODE"
%endif
# We'll never use the old pgcc-2.95.1 with the buggy -O3, so having
# the -O3 that is originally used should work.
# Substitute the -O2 to -O3 because I'm not sure if simply appending
# it will preserve(not override) the detailed opt flags used in RPM_OPT_FLAGS:
make "OPTFLAGS=$NO_ASSEMBLER_CODE `echo $RPM_OPT_FLAGS|sed 's/-O2/-O3/'`" \
     LIBPATH=%{_libdir} \
     ZLIBLIB=%{_libdir} \
     MANPATH=%{_mandir}
./pngtest
if [ "`./pngtest | tail -n 1`" != "libpng passes test" ]; then
	echo pngtest failed!
	exit 1
fi

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man3,man5}
mkdir -p $RPM_BUILD_ROOT/usr/include/libpng12
make install DESTDIR=$RPM_BUILD_ROOT \
	     prefix=/usr \
             LIBPATH=%{_libdir} \
	     MANPATH=%{_mandir}
#chmod a+x $RPM_BUILD_ROOT/%{_libdir}/libpng*.so.*
#chmod 644 $RPM_BUILD_ROOT/%{_mandir}/man*/*

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
%{_libdir}/libpng*.so.*
%doc CHANGES README TODO ANNOUNCE KNOWNBUG Y2KINFO  LICENSE libpng.txt

%files devel
/usr/bin/*config
/usr/include/*
%{_libdir}/libpng*.a
%{_libdir}/libpng*.so
%doc %{_mandir}/man3/libpng.3.gz
%doc %{_mandir}/man3/libpngpf.3.gz
%doc %{_mandir}/man5/png.5.gz
%{_libdir}/pkgconfig/*.pc

%changelog -n libpng
* Fri Aug 13 2004 - nadvornik@suse.cz
- replaced security patches with the official ones [#43008]
* Mon Jul 19 2004 - nadvornik@suse.cz
- fixed several buffer overflows [#43008]
* Wed Jun 16 2004 - nadvornik@suse.cz
- added missing part of pngtran overflow patch [#42043]
* Tue Apr 08 2003 - ro@suse.de
- fix tail calling syntax
* Mon Feb 10 2003 - nadvornik@suse.cz
- link the shared library with -lz -lm -lc again
* Wed Jan 29 2003 - kukuk@suse.de
- Fix libpng-devel requires (add zlib-devel) [Bug #23154]
* Fri Jan 24 2003 - sbrabec@suse.cz
- Added missing pkgconfig files to %%files.
* Tue Jan 07 2003 - nadvornik@suse.cz
- updated to 1.2.5
- fixed buffer overflow
* Wed Jul 31 2002 - coolo@suse.de
- fix libz dependency, so the resulting libpng is self containing
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Wed Jul 24 2002 - nadvornik@suse.cz
- updated to 1.2.4:
- fixed buffer overflow in pngpread.c when IDAT is
  corrupted with extra data
* Fri Jul 12 2002 - schwab@suse.de
- Fix makefile.
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Tue Jul 02 2002 - nadvornik@suse.cz
- updated to 1.2.3
- changed package version to match the version of source tarball
* Tue Mar 05 2002 - nadvornik@suse.cz
- fixed permissions for man pages
* Tue Feb 05 2002 - nadvornik@suse.cz
- added Provides: libpng:/usr/include/png.h to libpng-devel
* Thu Jan 31 2002 - nadvornik@suse.cz
- back to 1.0.12, libpng 1.2.x will be packed in separate package
- created devel subpackage to allow parallel instalation of
  shared libraries
* Wed Jan 09 2002 - nadvornik@suse.cz
- update to 1.2.1
- used macros %%{_lib} and %%{_libdir}
* Tue Dec 04 2001 - nadvornik@suse.cz
- update to 1.2.0
- shared library version changed to 3.1.2.0
- new API for dynamically enabling and disabling certain optimizations
- added Provides: libpng-devel for compatibility [bug #11978]
* Tue Jul 17 2001 - nadvornik@suse.cz
- update to 1.0.12
* Tue Apr 03 2001 - nadvornik@suse.cz
- update to 1.0.10
- used pnggccrd.c - MMX support on intel
* Tue Feb 13 2001 - nadvornik@suse.cz
- update to 1.0.9
* Fri Jan 19 2001 - bk@suse.de
- call pngtest program to have some tests that libpng works.
- don't remove -O3 when adding RPM_OPT_FLAGS(still do -O3 optimisations)
* Thu Jan 04 2001 - nadvornik@suse.cz
- changed rpm version to 2.1.0.8 (bug #5062)
- changed shared library name to libpng.so.2.1.0.8
* Wed Aug 23 2000 - nadvornik@suse.cz
- update to 1.0.8
* Tue Jul 11 2000 - adrian@suse.de
- seg fault fix in pngrutil.c
* Mon May 22 2000 - nadvornik@suse.cz
- changed group
- changed URL
* Sat Apr 29 2000 - kukuk@suse.de
- Make sure libpng.so.2 is linked against libz to avoid problems
  with missing dependencies.
* Mon Apr 10 2000 - nadvornik@suse.cz
- added URL
* Tue Apr 04 2000 - nadvornik@suse.cz
- update to 1.0.6
- added BuildRoot
* Tue Jan 25 2000 - ro@suse.de
- update to 1.0.5
- manpages to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 29 1999 - ro@suse.de
- moved from /usr/X11R6 to /usr
* Mon Jun 28 1999 - ro@suse.de
- update to 1.0.3
* Wed Feb 17 1999 - ro@suse.de
- added .so.2 link
* Fri Jan 22 1999 - ro@suse.de
- bump version to 2.1.0 (the version of the installed library)
* Fri Mar 20 1998 - ro@suse.de
- extracted package from libgr tree
  update to version 1.0.1
